Bug 29838 - No string interpolation when expected in t/db_dependent/ImportBatch.t
Summary: No string interpolation when expected in t/db_dependent/ImportBatch.t
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-10 11:03 UTC by Jonathan Druart
Modified: 2022-02-21 08:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.03,21.05.11


Attachments
Bug 29838: Fix string interpolation in ImportBatch.t (1.74 KB, patch)
2022-01-10 11:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29838: Fix string interpolation in ImportBatch.t (1.79 KB, patch)
2022-01-12 18:24 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-01-10 11:03:56 UTC
-my $batch3_clean = $dbh->do('SELECT * FROM import_records WHERE import_batch_id = "$id_import_batch3"');
Comment 1 Jonathan Druart 2022-01-10 11:04:52 UTC
Created attachment 129244 [details] [review]
Bug 29838: Fix string interpolation in ImportBatch.t

Test plan:
Tests should return green
Comment 2 Tomás Cohen Arazi 2022-01-12 18:24:50 UTC
Created attachment 129358 [details] [review]
Bug 29838: Fix string interpolation in ImportBatch.t

Test plan:
Tests should return green

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Fridolin Somers 2022-01-14 07:43:21 UTC
Patch obsolete by mistake ?
Comment 4 Fridolin Somers 2022-01-22 07:40:59 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Andrew Fuerste-Henry 2022-02-16 20:56:45 UTC
I see Kyle pushed this to 21.11.x for 21.11.03
Comment 6 Andrew Fuerste-Henry 2022-02-16 20:58:39 UTC
Pushed to 21.05.x for 21.05.11
Comment 7 Victor Grousset/tuxayo 2022-02-21 08:57:30 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.